<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">

    <title>Serviceblick Account-Verwaltung</title>
    <!-- vendor css -->
    <link href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]" rel="stylesheet">
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %}
    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="css/dashboard-custom.css?v=[cs_version]">

</head>

<body id="page-top" class="az-body">
{% include 'snippets/guide/container-modal.tpl' %}
<div class="az-header">
    <div class="container">
        <div class="az-header-left">
            <a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a>
            <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
            <a href="index.html"><span class="nav-link text-dark tx-20" data-i18n="account management">Kontoverwaltung</span></a>
        </div><!-- az-header-left -->
        <div class="az-header-menu">
            <div class="az-header-menu-header">
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
                <a href="" class="close">&times;</a>
            </div><!-- az-header-menu-header -->
            <!-- <ul class="nav">
                <li class="nav-item">
                    <a href="#" class="nav-link  with-sub"><i
                            class="typcn typcn-edit tx-20"></i>Placeholder nav-link</a>
                    <nav class="az-menu-sub">
                        <a href="#" class="nav-link">Placeholder nav-link
                        </a>
                    </nav>
                </li>
            </ul> -->
        </div><!-- az-header-menu -->
        <div class="az-header-right">
            <div data-permission="dashboard" class="az-header-notification mg-l-10 hidden" data-hint="Start a tour at anytime from the help menu." data-hint-position="middle-top">
                <a href="#" data-toggle="modal" data-target="#modal_help" id="help">
                    <i class="icon ion-ios-help-circle-outline" data-toggle="tooltip" title="" data-original-title="Hilfe"></i></a>
            </div>
            {% include 'snippets/header-apps-menu.tpl' %}
            {% include 'snippets/header-profile-menu.tpl' %}
        </div><!-- az-header-right -->
    </div><!-- container -->
</div><!-- az-header -->

<div class="az-content az-content-mail">
    <div class="container">
        <div class="az-content-left az-content-left-mail  az-content-left-components">
            <div class="az-content-header">
                <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                <a href="" id="azContentLeftHide" class="az-header-arrow">
                    <i class="icon ion-md-arrow-forward d-sm-none"></i>
                    <i class="icon ion-md-close d-none d-sm-block"></i>
                </a>
            </div><!-- az-content-header -->
            {% include 'snippets/content-left-account-nav.tpl' %}
        </div><!-- az-content-left -->

        <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40">
            <div class="mg-b-10"><a class="az-header-arrow" href="./groups.html" id="back-link">
                <i class="icon ion-md-arrow-back"></i></a>
            </div><!-- back link will be set depending if role or user is being edited -->
            <h3 id="headline_editor" class="invoice-title mg-b-20">Gruppe<!-- Headline will be set depending if role or user is being edited --></h3>

            <div class="row mg-b-20">
                <div class="col">
                    <div class="az-content-label tx-13 mg-b-5" data-i18n="details">Details</div>
                    <p id="hint1_user" class="mg-b-20 toggable_editor_hints"></p>
                    <p id="hint1_role" class="mg-b-20 toggable_editor_hints"></p>
                    <div class="pd-20 bg-light">
                        <div class="d-sm-flex row">
                            <div class="col-lg-4 mg-b-0">
                                <label class="form-label">Name: </label>
                                <span id="edited_name"><!-- name placeholder --></span>
                            </div>
                            <div id="edited_desc" class="col-lg-6  mg-b-0">
                                <label class="form-label">Beschreibung: </label>
                                <span id="description"><!-- description placeholder --></span>
                            </div>
                            <div id="edited_link_div" class="col-lg-2  mg-b-0  text-right">
                                <a href="javascript:void(0)" id="details-edit-link" data-selector="group-details-edit" class="text-primary nav-link" data-i18n="edit">edit</a>
                            </div>
                        </div>
                    </div>
                </div><!-- col -->
            </div><!-- row -->

            <hr class="mg-y-20">

            <div class="row mg-b-5">
                <div class="col">
                    <div class="az-content-label tx-13 mg-b-5" data-i18n="PERMISSIONS">BERECHTIGUNGEN</div>
                    <p id="hint2_user" class="mg-b-20 toggable_editor_hints"></p>
                    <p id="hint2_role" class="mg-b-20 toggable_editor_hints"></p>
                </div><!-- col -->
            </div><!-- row -->
            <div class="row row-sm mg-b-20">
                <div class="col-lg-12">

                    <h6 class="card-title" data-i18n="group members">Gruppenmitglieder</h6>
                    <!-- selected user roles-->

                    <div class="bd pd-20 bg-light">
                        <div id="group_memberships_container" class="d-xlg-flex wd-xlg-400">
                            <!-- user actual roles dynamically generated from snippit here -->
                        </div>
                    </div>

                    <!-- list of user roles to select-->
                    <p class="az-profile-name-text  mg-t-10 mg-b-5" data-i18n="Select users to assign them">Benutzer auswählen um diesen zuzuweisen</p>
                    <div id="role_container" style="max-height: 200px; overflow: auto;">
                        <ul id="check-list-box" class="list-group">
                            <!-- role list dynamically generated from snippit here -->
                        </ul>
                    </div>

                </div><!-- col-6 -->

            </div> <!-- 2 column row -->


        </div><!-- az-content-body -->
    </div><!-- container -->
</div><!-- az-content -->

{% include 'snippets/footer.tpl' %}
<!-- az-footer -->

<div id="password_change_modal" style="display:none; cursor: default">
    <div class="password-change-dialog_wrapper modal-content">
        <div class="modal-header"><h6 class="modal-title" data-i18n="change password">Password ändern</h6></div>
        <div class="modal-body">
            <div class="row row-xs mg-b-20">
                <div class="col-md-5">
                    <label class="form-label text-left mg-b-0" data-i18n="Current Password:">Aktuelles Passwort:</label>
                </div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="old_password" type="password"/></div>
            </div>
            <div class="row row-xs mg-b-20">
                <div class="col-md-5">
                    <label class="form-label text-left mg-b-0" data-i18n="New Password:">Neues Passwort:</label></div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password" type="password"/></div>
            </div>
            <div class="row row-xs mg-b-20">
                <div class="col-md-5">
                    <label class="form-label text-left mg-b-0" data-i18n="Confirm new password:">Neues Passwort Bestätigen:</label>
                </div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password_confirm" type="password"/></div>
            </div>
        </div>
        <div class="modal-footer justify-content-center">
            <button id="submit_password_dialog_button" type="button" class="btn btn-indigo" data-i18n="Change Password">Passwort ändern</button>
            <button onclick="$.unblockUI();" type="button" class="btn btn-outline-light" data-i18n="Abort">Abbrechen</button>
        </div>
    </div>
</div>

<!-- snippit for group list -->
<div style="display: None;">
    <li id="user_list_item" class="list-group-item">
        <label><input id="[{user_id}]" type="checkbox" class="user-check-box">
            <span class="ml-2 tx-dark checkbox-role-list">[{user_name}]</span>
        </label>
    </li>
</div>

<!-- snippit for user group tag -->

<div style="display: None;">
    <button data-selector="btn-group" id="group_button_template" class="btn btn-outline-light mg-r-5 btn-role">
        <i class="typcn typcn-times"></i>[{group_name}]
    </button>
</div>


{% include 'snippets/global-script-include.tpl' %}
<script src="/style-global/lib/bootstrap-table/js/bootstrap-table.min.js?v=[cs_version]"></script>
<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';

    new pbBrain().boot("group-users-managment-circuit");

    Fnon.Box.Circle('.az-content-body', '', {svgSize: {w: '50px', h: '50px'}, svgColor: '#3a22fa',})
</script>

</body>

</html>